summaryrefslogtreecommitdiffstats
path: root/update-docs.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2022-07-14 18:27:59 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2022-07-16 15:11:56 +0000
commit6197903bd42478987516bc4cc3f0769488a37065 (patch)
tree508d399340039960289dd1d96696db7c56c22321 /update-docs.sh
parentAdding upstream version 1.16. (diff)
downloadnvme-cli-6197903bd42478987516bc4cc3f0769488a37065.tar.xz
nvme-cli-6197903bd42478987516bc4cc3f0769488a37065.zip
Adding upstream version 2.0.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'update-docs.sh')
-rwxr-xr-xupdate-docs.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/update-docs.sh b/update-docs.sh
new file mode 100755
index 0000000..9dbbb26
--- /dev/null
+++ b/update-docs.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+BUILDDIR="$(mktemp -d)"
+trap 'rm -rf -- $BUILDDIR' EXIT
+
+meson $BUILDDIR -Ddocs=all -Ddocs-build=true
+ninja -C $BUILDDIR
+find $BUILDDIR/Documentation -maxdepth 1 \
+ \( -name '*.1' -o -name '*.html' \) \
+ -exec cp {} Documentation/ \;